package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.RelationPersonSessionSubjectEntity
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.google.gson.reflect.TypeToken


class RelationPersonSessionSubjectApi(dao: BaseTaskDao<RelationPersonSessionSubjectEntity>, session: SessionEntity) :
    BaseTaskApi<RelationPersonSessionSubjectEntity>(
        dao,
        object: TypeToken<RelationPersonSessionSubjectEntity>() {},
        session
    )
