package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.faraphel.tasks_valider.database.entities.SubjectEntity
import com.google.gson.reflect.TypeToken


class SubjectApi(dao: BaseTaskDao<SubjectEntity>, session: SessionEntity) :
    BaseTaskApi<SubjectEntity>(
        dao,
        object: TypeToken<SubjectEntity>() {},
        session
    )
