package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.ClassEntity
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.google.gson.reflect.TypeToken

class ClassApi(dao: BaseTaskDao<ClassEntity>, session: SessionEntity) :
    BaseTaskApi<ClassEntity>(
        dao,
        object: TypeToken<ClassEntity>() {},
        session
    )
