package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.PersonEntity
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.google.gson.reflect.TypeToken

class PersonApi(dao: BaseTaskDao<PersonEntity>, session: SessionEntity) :
    BaseTaskApi<PersonEntity>(
        dao,
        object: TypeToken<PersonEntity>() {},
        session
    )
