package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.google.gson.reflect.TypeToken

class SessionApi(dao: BaseTaskDao<SessionEntity>, session: SessionEntity) :
    BaseTaskApi<SessionEntity>(
        dao,
        object: TypeToken<SessionEntity>() {},
        session
    )
