package com.faraphel.tasks_valider.database.api.entities

import com.faraphel.tasks_valider.database.api.entities.base.BaseTaskApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.SessionEntity
import com.faraphel.tasks_valider.database.entities.TaskEntity
import com.google.gson.reflect.TypeToken


class TaskApi(dao: BaseTaskDao<TaskEntity>, session: SessionEntity) :
    BaseTaskApi<TaskEntity>(
        dao,
        object: TypeToken<TaskEntity>() {},
        session
    )
